﻿namespace DataEntity.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class PH_005 : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Palety",
                c => new
                    {
                        PaletaId = c.Int(nullable: false, identity: true),
                        AdrUlo = c.String(),
                        MnozPa = c.Int(nullable: false),
                        Komentar = c.String(),
                        MaterialId = c.Int(),
                        PaletaTypId = c.Int(nullable: false),
                        PaletaStavId = c.Int(nullable: false),
                        RowVersion = c.Binary(nullable: false, fixedLength: true, timestamp: true, storeType: "rowversion"),
                    })
                .PrimaryKey(t => t.PaletaId)
                .ForeignKey("dbo.Materialy", t => t.MaterialId)
                .ForeignKey("dbo.PaletyStavy", t => t.PaletaStavId, cascadeDelete: true)
                .ForeignKey("dbo.PaletyTypy", t => t.PaletaTypId, cascadeDelete: true)
                .Index(t => t.MaterialId)
                .Index(t => t.PaletaTypId)
                .Index(t => t.PaletaStavId);
            
            CreateTable(
                "dbo.PaletyStavy",
                c => new
                    {
                        PaletaStavId = c.Int(nullable: false, identity: true),
                        Popis = c.String(maxLength: 50),
                        RowVersion = c.Binary(nullable: false, fixedLength: true, timestamp: true, storeType: "rowversion"),
                    })
                .PrimaryKey(t => t.PaletaStavId);
            
            CreateTable(
                "dbo.PaletyTypy",
                c => new
                    {
                        PaletaTypId = c.Int(nullable: false, identity: true),
                        Popis = c.String(maxLength: 50),
                        RowVersion = c.Binary(nullable: false, fixedLength: true, timestamp: true, storeType: "rowversion"),
                    })
                .PrimaryKey(t => t.PaletaTypId);
            
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.Palety", "PaletaTypId", "dbo.PaletyTypy");
            DropForeignKey("dbo.Palety", "PaletaStavId", "dbo.PaletyStavy");
            DropForeignKey("dbo.Palety", "MaterialId", "dbo.Materialy");
            DropIndex("dbo.Palety", new[] { "PaletaStavId" });
            DropIndex("dbo.Palety", new[] { "PaletaTypId" });
            DropIndex("dbo.Palety", new[] { "MaterialId" });
            DropTable("dbo.PaletyTypy");
            DropTable("dbo.PaletyStavy");
            DropTable("dbo.Palety");
        }
    }
}
